Bug 23979 - "Account is locked" message should be displayed on all patron pages
Summary: "Account is locked" message should be displayed on all patron pages
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
: 26823 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-11-06 14:31 UTC by George Williams (NEKLS)
Modified: 2020-11-12 14:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch alters the display to show a message on all patron screens when a patron is locked out of their account due to too many login attempts or has an administrative lock. Login attempt locks are controlled by the 'FailedLoginAttempts' system preference Administrative locks are related to GDPR settings.
Version(s) released in:
20.11.00


Attachments
Bug 23979: MOve locked message to patron info section (2.76 KB, patch)
2020-10-06 16:07 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23979: MOve locked message to patron info section (2.81 KB, patch)
2020-10-15 04:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23979: Move locked message to patron info section (2.87 KB, patch)
2020-10-15 21:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23979: Remove final dot (1.24 KB, patch)
2020-11-03 14:29 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description George Williams (NEKLS) 2019-11-06 14:31:07 UTC
Bug 21311 removes the "This account has been locked!" message from the OPAC when a patron account has been locked because someone has attempted to log into that account with an incorrect password more than the number of times specified by the system preference FailedLoginAttempts.  This means that a patron may not know that their account has been locked if someone other than themselves has attempted to hack their account.

Bug 21312 adds an "Account is locked" message on the patron's "Details" tab when a patron has locked their account by logging in with an incorrect password more than the number of times specified by the system preference FailedLoginAttempts.

Most public library staff access a patron's account through the "Check out" tool which takes them directly to the "Check out" tab on the patron's account rather than the "Details" tab.  The "Check out" tool is, after all, the default action of the header_search input box on the Koha home page.

Having the "Account is locked" message only on the "Details" tab means that when a patron comes into the library and says "I don't understand why I can't get into my account" when staff look up the patron's account through "Check out", as they normally do, they have to take the extra step of switching to the "Details" tab to find out that the "Account is locked."

The "Account is locked" message on moremember.pl should be displayed on the "Check out" tab in addition to the "Details" tab.

George
Comment 1 Nick Clemens 2020-10-06 16:07:01 UTC
Created attachment 111316 [details] [review]
Bug 23979: MOve locked message to patron info section

To test:
1 - Set failed login attempts to some number
2 - Attempt enough logins with a patront o lock them, or:
    UPDATE borrowers SET login_attempts = 500 WHERE borrowernumber=5;
3 - Attempt to checkout to borrower, no notice of lock
4 - View patron details tab, see the locked message
5 - Apply patch
6 - Note the message is now in patron info and visible on all tabs for the member
Comment 2 ByWater Sandboxes 2020-10-15 04:38:52 UTC
Created attachment 111676 [details] [review]
Bug 23979: MOve locked message to patron info section

To test:
1 - Set failed login attempts to some number
2 - Attempt enough logins with a patront o lock them, or:
    UPDATE borrowers SET login_attempts = 500 WHERE borrowernumber=5;
3 - Attempt to checkout to borrower, no notice of lock
4 - View patron details tab, see the locked message
5 - Apply patch
6 - Note the message is now in patron info and visible on all tabs for the member

Signed-off-by: George Williams <george@nekls.org>
Comment 3 Katrin Fischer 2020-10-15 21:13:33 UTC
Created attachment 111802 [details] [review]
Bug 23979: Move locked message to patron info section

To test:
1 - Set failed login attempts to some number
2 - Attempt enough logins with a patront o lock them, or:
    UPDATE borrowers SET login_attempts = 500 WHERE borrowernumber=5;
3 - Attempt to checkout to borrower, no notice of lock
4 - View patron details tab, see the locked message
5 - Apply patch
6 - Note the message is now in patron info and visible on all tabs for the member

Signed-off-by: George Williams <george@nekls.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-10-15 21:14:57 UTC
I think this could stand out a bit more - but it didn't before the change and it should definitely show on the checkouts tabs and others. 

Maybe we could add some stronger formatting using CSS later on.
Comment 5 Agnes Rivers-Moore 2020-10-26 18:24:12 UTC
Our library staff took a while to figure out what 'locked' means - especially as it seems to appear on newly created accounts and those where no password has ever been set. Is that the expected behaviour, or was it meant to appear only after failed login attempts? Can someone check that in current version? Thanks.
Comment 6 Katrin Fischer 2020-10-26 19:45:32 UTC
*** Bug 26823 has been marked as a duplicate of this bug. ***
Comment 7 Jonathan Druart 2020-11-03 14:29:19 UTC
Created attachment 112930 [details] [review]
Bug 23979: Remove final dot
Comment 8 Jonathan Druart 2020-11-04 12:03:02 UTC
Pushed to master for 20.11, thanks to everybody involved!